diff --git a/guava-testlib/src/com/google/common/collect/testing/TestStringListGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestStringListGenerator.java
index 7e22ab1..4047c70 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestStringListGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestStringListGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.SampleElements.Strings;
 import java.util.List;
 
@@ -25,7 +24,6 @@ import java.util.List;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public abstract class TestStringListGenerator implements TestListGenerator<String> {
   @Override
   public SampleElements<String> samples() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestStringMapGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestStringMapGenerator.java
index 3449d3a..aef51bc 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestStringMapGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestStringMapGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.List;
 import java.util.Map;
 import java.util.Map.Entry;
@@ -28,7 +27,6 @@ import java.util.Map.Entry;
  * @author Jared Levy
  * @author George van den Driessche
  */
-@GwtCompatible
 public abstract class TestStringMapGenerator implements TestMapGenerator<String, String> {
 
   @Override
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestStringQueueGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestStringQueueGenerator.java
index 16cb253..ba7ca2f 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestStringQueueGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestStringQueueGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.SampleElements.Strings;
 import java.util.List;
 import java.util.Queue;
@@ -26,7 +25,6 @@ import java.util.Queue;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public abstract class TestStringQueueGenerator implements TestQueueGenerator<String> {
   @Override
   public SampleElements<String> samples() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestStringSetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestStringSetGenerator.java
index 1724bb2..5a8cc04 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestStringSetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestStringSetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.SampleElements.Strings;
 import java.util.List;
 import java.util.Set;
@@ -26,7 +25,6 @@ import java.util.Set;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public abstract class TestStringSetGenerator implements TestSetGenerator<String> {
   @Override
   public SampleElements<String> samples() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestStringSortedMapGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestStringSortedMapGenerator.java
index c1878be..fde5f8a 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestStringSortedMapGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestStringSortedMapGenerator.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing;
 
 import static com.google.common.collect.testing.Helpers.orderEntriesByKey;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.List;
 import java.util.Map.Entry;
 import java.util.SortedMap;
@@ -28,7 +27,6 @@ import java.util.SortedMap;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 public abstract class TestStringSortedMapGenerator extends TestStringMapGenerator
     implements TestSortedMapGenerator<String, String> {
   @Override
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestStringSortedSetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestStringSortedSetGenerator.java
index 7f5453d..6941741 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestStringSortedSetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestStringSortedSetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collections;
 import java.util.List;
 import java.util.SortedSet;
@@ -26,7 +25,6 @@ import java.util.SortedSet;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public abstract class TestStringSortedSetGenerator extends TestStringSetGenerator
     implements TestSortedSetGenerator<String> {
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestSubjectGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestSubjectGenerator.java
index 4a8ae76..df4e879 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestSubjectGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestSubjectGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * To be implemented by test generators that can produce test subjects without requiring any
@@ -25,7 +24,6 @@ import com.google.common.annotations.GwtCompatible;
  * @param <T> the type created by this generator.
  * @author George van den Driessche
  */
-@GwtCompatible
 public interface TestSubjectGenerator<T> {
   T createTestSubject();
 }
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestUnhashableCollectionGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestUnhashableCollectionGenerator.java
index 9b4602d..b80b793 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestUnhashableCollectionGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestUnhashableCollectionGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.SampleElements.Unhashables;
 import java.util.Collection;
 import java.util.List;
@@ -26,7 +25,6 @@ import java.util.List;
  *
  * @author Regina O'Dell
  */
-@GwtCompatible
 public abstract class TestUnhashableCollectionGenerator<T extends Collection<UnhashableObject>>
     implements TestCollectionGenerator<UnhashableObject> {
   @Override
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestsForListsInJavaUtil.java b/guava-testlib/src/com/google/common/collect/testing/TestsForListsInJavaUtil.java
index e8eae2c..b31d4d1 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestsForListsInJavaUtil.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestsForListsInJavaUtil.java
@@ -16,15 +16,12 @@
 
 package com.google.common.collect.testing;
 
-import static com.google.common.collect.testing.testers.CollectionSpliteratorTester.getSpliteratorNotImmutableCollectionAllowsAddMethod;
-import static com.google.common.collect.testing.testers.CollectionSpliteratorTester.getSpliteratorNotImmutableCollectionAllowsRemoveMethod;
 import static com.google.common.collect.testing.testers.ListListIteratorTester.getListIteratorFullyModifiableMethod;
 import static com.google.common.collect.testing.testers.ListSubListTester.getSubListOriginalListSetAffectsSubListLargeListMethod;
 import static com.google.common.collect.testing.testers.ListSubListTester.getSubListOriginalListSetAffectsSubListMethod;
 import static com.google.common.collect.testing.testers.ListSubListTester.getSubListSubListRemoveAffectsOriginalLargeListMethod;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.ListFeature;
@@ -49,7 +46,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtIncompatible
 public class TestsForListsInJavaUtil {
   public static Test suite() {
     return new TestsForListsInJavaUtil().allTests();
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestsForMapsInJavaUtil.java b/guava-testlib/src/com/google/common/collect/testing/TestsForMapsInJavaUtil.java
index fed059c..a412783 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestsForMapsInJavaUtil.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestsForMapsInJavaUtil.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing;
 
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
@@ -48,7 +47,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtIncompatible
 public class TestsForMapsInJavaUtil {
 
   public static Test suite() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestsForQueuesInJavaUtil.java b/guava-testlib/src/com/google/common/collect/testing/TestsForQueuesInJavaUtil.java
index 1a9870d..2f49d9c 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestsForQueuesInJavaUtil.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestsForQueuesInJavaUtil.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import java.lang.reflect.Method;
@@ -41,7 +40,6 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtIncompatible
 public class TestsForQueuesInJavaUtil {
   public static Test suite() {
     return new TestsForQueuesInJavaUtil().allTests();
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestsForSetsInJavaUtil.java b/guava-testlib/src/com/google/common/collect/testing/TestsForSetsInJavaUtil.java
index 0141d8d..c424538 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestsForSetsInJavaUtil.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestsForSetsInJavaUtil.java
@@ -16,11 +16,8 @@
 
 package com.google.common.collect.testing;
 
-import static com.google.common.collect.testing.testers.CollectionSpliteratorTester.getSpliteratorNotImmutableCollectionAllowsAddMethod;
-import static com.google.common.collect.testing.testers.CollectionSpliteratorTester.getSpliteratorNotImmutableCollectionAllowsRemoveMethod;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.SetFeature;
@@ -49,7 +46,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtIncompatible
 public class TestsForSetsInJavaUtil {
   public static Test suite() {
     return new TestsForSetsInJavaUtil().allTests();
diff --git a/guava-testlib/src/com/google/common/collect/testing/UnhashableObject.java b/guava-testlib/src/com/google/common/collect/testing/UnhashableObject.java
index 69d263b..19ed4da 100644
--- a/guava-testlib/src/com/google/common/collect/testing/UnhashableObject.java
+++ b/guava-testlib/src/com/google/common/collect/testing/UnhashableObject.java
@@ -16,14 +16,12 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * An unhashable object to be used in testing as values in our collections.
  *
  * @author Regina O'Dell
  */
-@GwtCompatible
 public class UnhashableObject implements Comparable<UnhashableObject> {
   private final int value;
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/WrongType.java b/guava-testlib/src/com/google/common/collect/testing/WrongType.java
index 65a523c..1a0aa72 100644
--- a/guava-testlib/src/com/google/common/collect/testing/WrongType.java
+++ b/guava-testlib/src/com/google/common/collect/testing/WrongType.java
@@ -16,13 +16,11 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * A type which will never be used as the element type of any collection in our tests, and so can be
  * used to test how a Collection behaves when given input of the wrong type.
  */
-@GwtCompatible
 public enum WrongType {
   VALUE
 }
diff --git a/guava-testlib/src/com/google/common/collect/testing/features/CollectionFeature.java b/guava-testlib/src/com/google/common/collect/testing/features/CollectionFeature.java
index 0f0a123..0c1f7be 100644
--- a/guava-testlib/src/com/google/common/collect/testing/features/CollectionFeature.java
+++ b/guava-testlib/src/com/google/common/collect/testing/features/CollectionFeature.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.annotation.Inherited;
 import java.lang.annotation.Retention;
@@ -33,7 +32,6 @@ import java.util.SortedSet;
  */
 // Enum values use constructors with generic varargs.
 @SuppressWarnings("unchecked")
-@GwtCompatible
 public enum CollectionFeature implements Feature<Collection> {
   /**
    * The collection must not throw {@code NullPointerException} on calls such as {@code
diff --git a/guava-testlib/src/com/google/common/collect/testing/features/CollectionSize.java b/guava-testlib/src/com/google/common/collect/testing/features/CollectionSize.java
index 6203e51..c80f12e 100644
--- a/guava-testlib/src/com/google/common/collect/testing/features/CollectionSize.java
+++ b/guava-testlib/src/com/google/common/collect/testing/features/CollectionSize.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.annotation.Inherited;
 import java.lang.annotation.Retention;
@@ -43,7 +42,6 @@ import java.util.Set;
  */
 // Enum values use constructors with generic varargs.
 @SuppressWarnings("unchecked")
-@GwtCompatible
 public enum CollectionSize implements Feature<Collection>, Comparable<CollectionSize> {
   /** Test an empty collection. */
   ZERO(0),
diff --git a/guava-testlib/src/com/google/common/collect/testing/features/ConflictingRequirementsException.java b/guava-testlib/src/com/google/common/collect/testing/features/ConflictingRequirementsException.java
index 9096a11..89a6bf7 100644
--- a/guava-testlib/src/com/google/common/collect/testing/features/ConflictingRequirementsException.java
+++ b/guava-testlib/src/com/google/common/collect/testing/features/ConflictingRequirementsException.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Set;
 
 /**
@@ -24,7 +23,6 @@ import java.util.Set;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public class ConflictingRequirementsException extends Exception {
   private Set<Feature<?>> conflicts;
   private Object source;
diff --git a/guava-testlib/src/com/google/common/collect/testing/features/Feature.java b/guava-testlib/src/com/google/common/collect/testing/features/Feature.java
index 9b15a6b..d661489 100644
--- a/guava-testlib/src/com/google/common/collect/testing/features/Feature.java
+++ b/guava-testlib/src/com/google/common/collect/testing/features/Feature.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Set;
 
 /**
@@ -25,7 +24,6 @@ import java.util.Set;
  * @param <T> The interface whose features are to be enumerated.
  * @author George van den Driessche
  */
-@GwtCompatible
 public interface Feature<T> {
   /** Returns the set of features that are implied by this feature. */
   Set<Feature<? super T>> getImpliedFeatures();
diff --git a/guava-testlib/src/com/google/common/collect/testing/features/FeatureUtil.java b/guava-testlib/src/com/google/common/collect/testing/features/FeatureUtil.java
index 95cbc0b..bce9421 100644
--- a/guava-testlib/src/com/google/common/collect/testing/features/FeatureUtil.java
+++ b/guava-testlib/src/com/google/common/collect/testing/features/FeatureUtil.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.annotation.Annotation;
 import java.lang.reflect.AnnotatedElement;
@@ -37,7 +36,6 @@ import java.util.Set;
  *
  * @author George van den Driessche
  */
-@GwtIncompatible
 public class FeatureUtil {
   /** A cache of annotated objects (typically a Class or Method) to its set of annotations. */
   private static Map<AnnotatedElement, List<Annotation>> annotationCache = new HashMap<>();
diff --git a/guava-testlib/src/com/google/common/collect/testing/features/ListFeature.java b/guava-testlib/src/com/google/common/collect/testing/features/ListFeature.java
index 1427efa..39f9e84 100644
--- a/guava-testlib/src/com/google/common/collect/testing/features/ListFeature.java
+++ b/guava-testlib/src/com/google/common/collect/testing/features/ListFeature.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.annotation.Inherited;
 import java.lang.annotation.Retention;
@@ -31,7 +30,6 @@ import java.util.Set;
  */
 // Enum values use constructors with generic varargs.
 @SuppressWarnings("unchecked")
-@GwtCompatible
 public enum ListFeature implements Feature<List> {
   SUPPORTS_SET,
   SUPPORTS_ADD_WITH_INDEX(CollectionFeature.SUPPORTS_ADD),
diff --git a/guava-testlib/src/com/google/common/collect/testing/features/MapFeature.java b/guava-testlib/src/com/google/common/collect/testing/features/MapFeature.java
index dff7b12..fc700d2 100644
--- a/guava-testlib/src/com/google/common/collect/testing/features/MapFeature.java
+++ b/guava-testlib/src/com/google/common/collect/testing/features/MapFeature.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.annotation.Inherited;
 import java.lang.annotation.Retention;
@@ -31,7 +30,6 @@ import java.util.Set;
  */
 // Enum values use constructors with generic varargs.
 @SuppressWarnings("unchecked")
-@GwtCompatible
 public enum MapFeature implements Feature<Map> {
   /**
    * The map does not throw {@code NullPointerException} on calls such as {@code containsKey(null)},
diff --git a/guava-testlib/src/com/google/common/collect/testing/features/SetFeature.java b/guava-testlib/src/com/google/common/collect/testing/features/SetFeature.java
index 7b5dcd9..0f5dfec 100644
--- a/guava-testlib/src/com/google/common/collect/testing/features/SetFeature.java
+++ b/guava-testlib/src/com/google/common/collect/testing/features/SetFeature.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.annotation.Inherited;
 import java.lang.annotation.Retention;
@@ -30,7 +29,6 @@ import java.util.Set;
  */
 // Enum values use constructors with generic varargs.
 @SuppressWarnings("unchecked")
-@GwtCompatible
 public enum SetFeature implements Feature<Set> {
   GENERAL_PURPOSE(CollectionFeature.GENERAL_PURPOSE);
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/features/TesterAnnotation.java b/guava-testlib/src/com/google/common/collect/testing/features/TesterAnnotation.java
index 1831e41..fc9d407 100644
--- a/guava-testlib/src/com/google/common/collect/testing/features/TesterAnnotation.java
+++ b/guava-testlib/src/com/google/common/collect/testing/features/TesterAnnotation.java
@@ -14,7 +14,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Documented;
 import java.lang.annotation.Retention;
 import java.lang.annotation.RetentionPolicy;
@@ -32,5 +31,4 @@ import java.lang.annotation.Target;
 @Target(value = {java.lang.annotation.ElementType.ANNOTATION_TYPE})
 @Retention(value = RetentionPolicy.RUNTIME)
 @Documented
-@GwtCompatible
 public @interface TesterAnnotation {}
diff --git a/guava-testlib/src/com/google/common/collect/testing/features/TesterRequirements.java b/guava-testlib/src/com/google/common/collect/testing/features/TesterRequirements.java
index 4780b1b..1171e53 100644
--- a/guava-testlib/src/com/google/common/collect/testing/features/TesterRequirements.java
+++ b/guava-testlib/src/com/google/common/collect/testing/features/TesterRequirements.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import java.util.Collections;
 import java.util.Set;
@@ -27,7 +26,6 @@ import java.util.Set;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public final class TesterRequirements {
   private final Set<Feature<?>> presentFeatures;
   private final Set<Feature<?>> absentFeatures;
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/AbstractBiMapTester.java b/guava-testlib/src/com/google/common/collect/testing/google/AbstractBiMapTester.java
index 85ddb44..038f584 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/AbstractBiMapTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/AbstractBiMapTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.BiMap;
 import com.google.common.collect.testing.AbstractMapTester;
 import com.google.common.collect.testing.Helpers;
@@ -27,7 +26,6 @@ import java.util.Map.Entry;
 import org.junit.Ignore;
 
 /** Skeleton for a tester of a {@code BiMap}. */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractBiMapTester<K, V> extends AbstractMapTester<K, V> {
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/AbstractListMultimapTester.java b/guava-testlib/src/com/google/common/collect/testing/google/AbstractListMultimapTester.java
index 7bce8b0..00f5b57 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/AbstractListMultimapTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/AbstractListMultimapTester.java
@@ -16,7 +16,6 @@ package com.google.common.collect.testing.google;
 
 import static com.google.common.collect.testing.Helpers.assertEqualInOrder;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.ListMultimap;
 import java.util.Arrays;
 import java.util.Collection;
@@ -27,7 +26,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class AbstractListMultimapTester<K, V>
     extends AbstractMultimapTester<K, V, ListMultimap<K, V>> {
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultimapTester.java b/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultimapTester.java
index 7b7801d..10c5454 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultimapTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultimapTester.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing.google;
 
 import static com.google.common.collect.testing.Helpers.assertEqualIgnoringOrder;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.Multimap;
 import com.google.common.collect.testing.AbstractContainerTester;
 import com.google.common.collect.testing.Helpers;
@@ -34,7 +33,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractMultimapTester<K, V, M extends Multimap<K, V>>
     extends AbstractContainerTester<M, Entry<K, V>> {
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetSetCountTester.java b/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetSetCountTester.java
index a72fd9f..5ab6392 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetSetCountTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetSetCountTester.java
@@ -24,8 +24,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.SUPPO
 import static com.google.common.collect.testing.features.CollectionSize.SEVERAL;
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.Multiset;
 import com.google.common.collect.Multiset.Entry;
 import com.google.common.collect.testing.Helpers;
@@ -46,7 +44,6 @@ import org.junit.Ignore;
  *
  * @author Chris Povirk
  */
-@GwtCompatible(emulated = true)
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractMultisetSetCountTester<E> extends AbstractMultisetTester<E> {
   /*
@@ -384,7 +381,7 @@ public abstract class AbstractMultisetSetCountTester<E> extends AbstractMultiset
    * Returns {@link Method} instances for the {@code setCount()} tests that assume multisets support
    * duplicates so that the test of {@code Multisets.forSet()} can suppress them.
    */
-  @GwtIncompatible // reflection
+  // reflection
   public static List<Method> getSetCountDuplicateInitializingMethods() {
     return Arrays.asList(
         getMethod("testSetCount_threeToThree_removeSupported"),
@@ -392,7 +389,7 @@ public abstract class AbstractMultisetSetCountTester<E> extends AbstractMultiset
         getMethod("testSetCount_threeToOne_supported"));
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   private static Method getMethod(String methodName) {
     return Helpers.getMethod(AbstractMultisetSetCountTester.class, methodName);
   }
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetTester.java b/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetTester.java
index 18ffcbc..f21673e 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.Multiset;
 import com.google.common.collect.testing.AbstractCollectionTester;
 import org.junit.Ignore;
@@ -26,7 +25,6 @@ import org.junit.Ignore;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class AbstractMultisetTester<E> extends AbstractCollectionTester<E> {
   protected final Multiset<E> getMultiset() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/BiMapClearTester.java b/guava-testlib/src/com/google/common/collect/testing/google/BiMapClearTester.java
index 4319a85..4d31610 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/BiMapClearTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/BiMapClearTester.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing.google;
 
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_REMOVE;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.BiMap;
 import com.google.common.collect.testing.features.MapFeature;
 import org.junit.Ignore;
@@ -28,7 +27,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class BiMapClearTester<K, V> extends AbstractBiMapTester<K, V> {
   @MapFeature.Require(SUPPORTS_REMOVE)
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/BiMapEntrySetTester.java b/guava-testlib/src/com/google/common/collect/testing/google/BiMapEntrySetTester.java
index 5c9a479..c17399e 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/BiMapEntrySetTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/BiMapEntrySetTester.java
@@ -21,14 +21,12 @@ import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_VALUES;
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_PUT;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
 import java.util.Map.Entry;
 import org.junit.Ignore;
 
 /** Tester for {@code BiMap.entrySet} and methods on the entries in the set. */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class BiMapEntrySetTester<K, V> extends AbstractBiMapTester<K, V> {
   @MapFeature.Require(SUPPORTS_PUT)
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/BiMapGenerators.java b/guava-testlib/src/com/google/common/collect/testing/google/BiMapGenerators.java
index 13efdcd..3de220e 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/BiMapGenerators.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/BiMapGenerators.java
@@ -16,9 +16,7 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.BiMap;
-import com.google.common.collect.ImmutableBiMap;
 import com.google.common.collect.Maps;
 import java.util.Arrays;
 import java.util.Map;
@@ -30,7 +28,6 @@ import java.util.Map.Entry;
  * @author Jared Levy
  * @author Hayward Chan
  */
-@GwtCompatible
 public class BiMapGenerators {
   public static class ImmutableBiMapGenerator extends TestStringBiMapGenerator {
     @Override
